Description

Patch 3.1.1 is only compatible with a previous 3.1.0 installation. Patching an earlier version (3.0.7 and below) results in a corrupt installation.

Preview
Star Trek Armada II: Fleet Operations Patch 3.1.1
Comments
Volkain
Volkain - - 91 comments

Love this mod :)

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.